#include "xgfxcolor.h"

XGfxColor::XGfxColor()
    : XAsset()
    , mArray(4)
{
    
}

void XGfxColor::ParseData(QDataStream *aStream)
{
    *aStream
        >> mArray[0]
        >> mArray[1]
        >> mArray[2]
        >> mArray[3];
}

void XGfxColor::Clear()
{

}

void XGfxColor::SetColor(quint8 r, quint8 g, quint8 b, quint8 a)
{
    mArray[0] = r;
    mArray[1] = g;
    mArray[2] = b;
    mArray[3] = a;
}
